4Suite™ API Documentation

# ► Module Ft.Server.FtRpc.MessageSource

Error codes and messages for the repository RPC server
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Error |  |  |  | Fields: g_errorMessages

## Classes

class Error

### Fields

FTSERVER_ERROR = 16
INTERNAL_ERROR = 1
INVALID_SERVER_RESPONSE = 15
NO_SERVER = 10
SERVER_COMMS_ERROR = 11
SERVER_ERROR = 14
TRANSACTION_IN_PROGRESS = 2
TRANSACTION_NOT_IN_PROGRESS = 3
UNKNOWN_COMMAND = 13
UNKNOWN_RESPONSE = 12

## Fields

g_errorMessages = {1: 'There is an internal bug in 4Suite Server. Pleas.../4suite. The error code to report is: %(message)s', 2: 'Transaction already in progress', 3: 'Transaction not in progress', 10: 'No server was found at %(host)s:%(port)s', 11: 'Communication has terminated, or is not using the correct protocol', 12: 'Unknown response code received: %(rspCode)s', 13: 'Unknown command code received: %(cmdCode)s', 14: 'The following error occurred on the server\n%(traceback)s', 15: 'Received response code %(got)s from the server. ...g. Please report with as much detail as you can.', 16: '%(message)s'}